%{?nodejs_find_provides_and_requires}

%global packagename conventional-changelog-core

# Tests disabled due to two failing tests
%global enable_tests 0

Name:		nodejs-conventional-changelog-core
Version:	1.8.0
Release:	1%{?dist}
Summary:	The conventional-changelog core

License:	MIT
URL:		https://github.com/conventional-changelog/conventional-changelog-core
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	LICENSE-MIT

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(git-raw-commits)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
The conventional-changelog core


%prep
%autosetup -n package
cp -p %{SOURCE1} .

%nodejs_fixdep dateformat
%nodejs_fixdep lodash
%nodejs_fixdep read-pkg
%nodejs_fixdep read-pkg-up

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ hosts/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc readme.md
%license LICENSE-MIT
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun May  7 2017 Jared Smith <jsmith@fedoraproject.org> - 1.8.0-1
- Initial packaging
